<!-- 设备收发详情 -->
<script name="sendReceiveDetail" lang="ts" setup>
import templateDetail from './components/templateDetail.vue'
const orderId = ref('') // 任务单id
const equipmentId = ref('') // 设备id
const $route = useRoute()

onMounted(() => {
  orderId.value = $route.query.orderId as string// 任务单id
  equipmentId.value = $route.query.equipmentId as string// 设备id

  console.log('任务单id：', orderId.value)
  console.log('设备id:', equipmentId.value)
})
</script>

<template>
  <template-detail :order-id="orderId" :equipment-id="equipmentId" />
</template>
